package com.kmall.api.service.pingan;

import com.kmall.api.dao.ApiPinganPayOrderMapper;
import com.kmall.manager.manager.pingan.dto.PinganPayOrderDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * Service实现类
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-12-06 15:29:43
 */
@Service
public class ApiPinganPayOrderService{
    @Autowired
    private ApiPinganPayOrderMapper apiPinganPayOrderMapper;

    public PinganPayOrderDto queryObject(Integer id) {
        return apiPinganPayOrderMapper.queryObject(id);
    }

    public PinganPayOrderDto queryByOutNo(String outNo) {
        return apiPinganPayOrderMapper.queryByOutNo(outNo);
    }

    public List<PinganPayOrderDto> queryList(Map<String, Object> map) {
        return apiPinganPayOrderMapper.queryList(map);
    }

    public int queryTotal(Map<String, Object> map) {
        return apiPinganPayOrderMapper.queryTotal(map);
    }

    public int save(PinganPayOrderDto pinganPayOrder) {
        return apiPinganPayOrderMapper.save(pinganPayOrder);
    }

    public int update(PinganPayOrderDto pinganPayOrder) {
        return apiPinganPayOrderMapper.update(pinganPayOrder);
    }

    public int delete(Integer id) {
        return apiPinganPayOrderMapper.delete(id);
    }

    public int deleteBatch(Integer[]ids) {
        return apiPinganPayOrderMapper.deleteBatch(ids);
    }

    public int updateByOutNo(PinganPayOrderDto pinganPayOrder) {
        return apiPinganPayOrderMapper.updateByOutNo(pinganPayOrder);
    }
}
